/**
 * Interface representing parameters for the update transaction API
 */
export interface IUpdateTransactionParms {
    /**
     * Specifies the 1-8 character name of the transaction.
     * Wildcards can be specified in the name.
     * name is a repeatable parameter.
     */
    name: string[];
    /**
     *
     */
    route?: string[];
    /**
     *
     */
    class?: number[];
    /**
     *
     */
    option?: string;
    /**
     *
     */
    scope?: string[];
    /**
     * Use this option to start the program(s)
     * Available values are Q, SCHD, SUSPEND, and TRACE
     */
    start?: string[];
    /**
     * Use this option to stop the program(s)
     * Available values are Q, SCHD and TRACE
     */
    stop?: string[];
    /**
     *
     */
    aocmd?: string;
    /**
     *
     */
    setClass?: number;
    /**
     *
     */
    cmtmode?: string;
    /**
     *
     */
    conv?: string;
    /**
     *
     */
    cpri?: number;
    /**
     *
     */
    dclwa?: string;
    /**
     *
     */
    dirroute?: string;
    /**
     *
     */
    editrtn?: string;
    /**
     *
     */
    edituc?: string;
    /**
     *
     */
    emhbsz?: number;
    /**
     *
     */
    exprtime?: number;
    /**
     *
     */
    fp?: string;
    /**
     *
     */
    inq?: string;
    /**
     *
     */
    lct?: number;
    /**
     *
     */
    lpri?: number;
    /**
     *
     */
    lock?: string;
    /**
     *
     */
    maxrgn?: number;
    /**
     *
     */
    msgtype?: string;
    /**
     *
     */
    msname?: string;
    /**
     *
     */
    npri?: number;
    /**
     *
     */
    parlim?: number;
    /**
     *
     */
    pgm?: string;
    /**
     *
     */
    plct?: number;
    /**
     *
     */
    plcttime?: number;
    /**
     *
     */
    recover?: string;
    /**
     *
     */
    remote?: string;
    /**
     *
     */
    resp?: string;
    /**
     *
     */
    segno?: number;
    /**
     *
     */
    segsz?: number;
    /**
     *
     */
    serial?: string;
    /**
     *
     */
    sidl?: number;
    /**
     *
     */
    sidr?: number;
    /**
     *
     */
    spasz?: number;
    /**
     *
     */
    spatrunc?: string;
    /**
     *
     */
    transtat?: string;
    /**
     *
     */
    wfi?: string;
}
