import { ICommandArguments, ICommandOptionDefinition, Session } from "@zowe/imperative";
/**
 * Utility Methods for Brightside
 * @export
 */
export declare class DB2Session {
    static DB2_CONNECTION_OPTION_GROUP: string;
    /**
     * Option used in profile creation and commands for hostname for DB2
     */
    static DB2_OPTION_HOST: ICommandOptionDefinition;
    /**
     * Option used in profile creation and commands for port for DB2
     */
    static DB2_OPTION_PORT: ICommandOptionDefinition;
    /**
     * Option used in profile creation and commands for username / ID  for DB2
     */
    static DB2_OPTION_USER: ICommandOptionDefinition;
    /**
     * Option used in profile creation and commands for password/passphrase for DB2
     */
    static DB2_OPTION_PASS: ICommandOptionDefinition;
    /**
     * Option used in profile creation and commands for rejectUnauthorized setting for connecting to DB2
     */
    static DB2_OPTION_DATABASE: ICommandOptionDefinition;
    /**
     * Option used in profile creation and commands for base path setting for connecting to DB2
     */
    static DB2_OPTION_SSL_FILE: ICommandOptionDefinition;
    /**
     * Options related to connecting to DB2
     * These options can be filled in if the user creates a profile
     */
    static DB2_CONNECTION_OPTIONS: ICommandOptionDefinition[];
    /**
     * Create a REST Client Session from given command line arguments or profile.
     * @static
     * @param {ICommandArguments} args - The arguments specified by the user or loaded from profile
     * @returns {Session} - A session for usage in the DB2 REST Client
     */
    static createDB2Session(args: ICommandArguments): Session;
    private static get log();
}
