"use strict";
/*
 * This program and the accompanying materials are made available under the terms of the
 * Eclipse Public License v2.0 which accompanies this distribution, and is available at
 * https://www.eclipse.org/legal/epl-v20.html
 *
 * SPDX-License-Identifier: EPL-2.0
 *
 * Copyright Contributors to the Zowe Project.
 *
 */
const Jobs_definition_1 = require("./jobs/Jobs.definition");
const DataSet_definition_1 = require("./data-set/DataSet.definition");
const DataSetMembers_definition_1 = require("./data-set-members/DataSetMembers.definition");
const UssFiles_definition_1 = require("./uss-files/UssFiles.definition");
const SpoolFilesByJobid_definition_1 = require("./spool-files-by-jobid/SpoolFilesByJobid.definition");
const FTPConfig_1 = require("../../api/FTPConfig");
const ListDefinition = {
    name: "list", aliases: ["ls"],
    summary: "List data sets, data set members, uss files, jobs, spool files",
    description: "List data sets, data set members, uss files, jobs, spool files",
    type: "group",
    children: [Jobs_definition_1.ListJobsDefinition, DataSet_definition_1.ListDataSetDefinition, DataSetMembers_definition_1.ListDataSetMembersDefinition, SpoolFilesByJobid_definition_1.SpoolFilesByJobidDefinition, UssFiles_definition_1.ListUssFilesDefinition],
    passOn: [
        {
            property: "options",
            value: FTPConfig_1.FTPConfig.FTP_CONNECTION_OPTIONS,
            merge: true,
            ignoreNodes: [
                { type: "group" }
            ]
        }
    ]
};
module.exports = ListDefinition;
//# sourceMappingURL=List.definition.js.map