"use strict";
/*
 * This program and the accompanying materials are made available under the terms of the
 * Eclipse Public License v2.0 which accompanies this distribution, and is available at
 * https://www.eclipse.org/legal/epl-v20.html
 *
 * SPDX-License-Identifier: EPL-2.0
 *
 * Copyright Contributors to the Zowe Project.
 *
 */
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const FTPBase_Handler_1 = require("../../../FTPBase.Handler");
const api_1 = require("../../../api");
class ListJobsHandler extends FTPBase_Handler_1.FTPBaseHandler {
    processFTP(params) {
        return __awaiter(this, void 0, void 0, function* () {
            const options = {
                owner: params.arguments.owner
            };
            const filteredJobs = yield api_1.JobUtils.listJobs(params.connection, params.arguments.prefix, options);
            params.response.data.setObj(filteredJobs);
            params.response.data.setMessage("Successfully listed %d matching jobs", filteredJobs.length);
            params.response.format.output({
                output: filteredJobs,
                format: "table",
                fields: ["jobid", "jobname", "owner", "status"]
            });
        });
    }
}
exports.default = ListJobsHandler;
//# sourceMappingURL=Jobs.Handler.js.map